:userdoc.
:title."Fun Language Tools" Documentation
.********************************************************************
.*
.*
.*
:h1.Read Me
:p.
Jive and valspeak are filters that take an ordinary text file
and change selected words into jive (or whatever).  The original
author of these programs is not listed in the source code; they
were submitted to mod.sources.games by Adams Douglas (adamsd@crash.UUCP).
:lines align=center.
Bill Randle
Moderator, mod.sources.games
Tektronix, Inc.
games-request@tekred.TEK.COM
:elines.
:p.
----------
:p.
Pig is a text filter that translates normal text into pig-latin.  The
original author is unknown - all I got when I FTP'd it was the pig.l
file, as presented.
:p.
----------
:lines.
b1ff&colon.
will turn English into B1FFSTER speech, guaranteed to confuse and entertain.
 
To create it in the current directory, type 
 
make b1ff
 
Use
  cat [file_of_text] | b1ff | more
or
  man [command] | b1ff | more
for endless hours of fun.
 
 
Make copies if you want etc.etc.
:elines.
.********************************************************************
.*
.*
.*
:h1.jive - Translate text into jive
:p.
Jive is a text filter.  It takes input from standard input on the
command line (by default, the keyboard), and writes its output to
standard output (by default, the screen).
:p.
Jive will take a normal document as input and translate it into a more
"soul-sounding" document.  As an example, I took the first couple
paragraphs from Michael Crichton's excellent novel,
:hp5.Rising Sun:ehp5., and I ran it through the jive filter on the
command line by typing&colon.
:p.
jive < sample.txt > sample.jiv
:p.
Here's sample.txt...
:font facename=Courier size=16x14.
:lines.
        Actually, I was sitting on my bed in my apartment in Culver
City, watching the Lakers game with the sound turned off, while I tried
to study vocabulary for my introductory Japanese class.
        It was a quiet evening; I had gotten my daughter to sleep about
eight.  Now I had the cassette player on the bed, and the cheerful
woman's voice was saying things like, "Hello, I am a police officer.
Can I be of assistance?" and "Please show me the menu."  After each
sentence, she paused for me to repeat it back, in Japanese.  I stumbled
along as best I could.  Then she would say, "The vegetable store is
closed.  Where is the post office?"  Things like that.  Sometimes it was
hard to concentrate, but I was trying.  "Mr. Hayashi has two children."
:elines.
:font facename=default size=0x0.
:p.And here's sample.jiv...
:font facename=Courier size=16x14.
:lines.
        Actually, ah' wuz sittin' on mah' bed in mah' apartment in
Culver City, watchin' de Lakers game wid de sound turned off, while ah'
tried to study vocabulary fo' mah' introducto'y Japanese class.
        It wuz some quiet evenin'; ah' had gotsten mah' daughta' to
sleep about eight.  Now ah' had da damn cassette playa' on de bed, and
da damn cheerful mama's voice wuz sayin' wahtahmelluns likes, "Hello,
ah' am some honky pigs officer.  Ah be baaad... Can ah' be uh
assistance?" and "Please show me da damn menu.  Man!"  Afta' each
sentence, she paused fo' me t'repeat it back, in Japanese.  What it is,
Mama!  ah' stumbled along as best ah' could.  Den she would say, "De
vegetable sto'e is closed.  Where be de post office?"  Din's likes dat.
Sometimes it wuz hard t'concentrate, but ah' wuz tryin'.  "Mr.  Ah be
baaad... Hayashi gots'ta two children.  'S coo', bro."
:elines.
:font facename=default size=0x0.
.********************************************************************
.*
.*
.*
:h1.valspeak - Translate text into "valley-girl speak"
:p.
Valspeak is a text filter.  It takes input from standard input on the
command line (by default, the keyboard), and writes its output to
standard output (by default, the screen).
:p.
Valspeak will take a normal document as input and translate it into a more
"valley-girl sounding" document.  As an example, I took the first couple
paragraphs from Michael Crichton's excellent novel,
:hp5.Rising Sun:ehp5., and I ran it through the valspeak filter on the
command line by typing&colon.
:p.
valspeak < sample.txt > sample.val
:p.
Here's sample.txt...
:font facename=Courier size=16x14.
:lines.
        Actually, I was sitting on my bed in my apartment in Culver
City, watching the Lakers game with the sound turned off, while I tried
to study vocabulary for my introductory Japanese class.
        It was a quiet evening; I had gotten my daughter to sleep about
eight.  Now I had the cassette player on the bed, and the cheerful
woman's voice was saying things like, "Hello, I am a police officer.
Can I be of assistance?" and "Please show me the menu."  After each
sentence, she paused for me to repeat it back, in Japanese.  I stumbled
along as best I could.  Then she would say, "The vegetable store is
closed.  Where is the post office?"  Things like that.  Sometimes it was
hard to concentrate, but I was trying.  "Mr. Hayashi has two children."
:elines.
:font facename=default size=0x0.
:p.And here's sample.val...
:font facename=Courier size=16x14.
:lines.
        Actually, fer shure, I was sittin' on my bed in my apartment in
Culver City, mostly, watchin' thuh Lakers game with thuh sound turned
off, oh, baby, while I tried to study vocabulary for my introductory
Japanese class.
        It was like, ya know, a quiet evenin'; I had gotten my daughter
to sleep about eight.  Now I had thuh cassette player on thuh bed, fer
shure, and thuh cheerful woman's voice was sayin' thin's like, oh, baby,
"Hello, like, I am a police officer. Can I be of assistance?" and
"Please show me thuh menu."  After each sentence, mostly, she paused for
me to repeat it back, oh, baby, in Japanese.  I stumbled along as best I
could.  Then she would say, man, "The vegetable store is closed.  Where
is like wow! the post office?"  Thin's like that.  Sometimes it was hard
to concentrate, mostly, but I was like, ya know, tryin'.  "Mr. Hayashi
has two children."
:elines.
:font facename=default size=0x0.
.********************************************************************
.*
.*
.*
:h1.pig - Translate text into pig-latin
:p.
Pig is a text filter.  It takes input from standard input on the
command line (by default, the keyboard), and writes its output to
standard output (by default, the screen).
:p.
Pig will take a normal document as input and translate it into a more
"pig-latin sounding" document.  As an example, I took the first couple
paragraphs from Michael Crichton's excellent novel,
:hp5.Rising Sun:ehp5., and I ran it through the pig filter on the
command line by typing&colon.
:p.
pig < sample.txt > sample.pig
:p.
Here's sample.txt...
:font facename=Courier size=16x14.
:lines.
        Actually, I was sitting on my bed in my apartment in Culver
City, watching the Lakers game with the sound turned off, while I tried
to study vocabulary for my introductory Japanese class.
        It was a quiet evening; I had gotten my daughter to sleep about
eight.  Now I had the cassette player on the bed, and the cheerful
woman's voice was saying things like, "Hello, I am a police officer.
Can I be of assistance?" and "Please show me the menu."  After each
sentence, she paused for me to repeat it back, in Japanese.  I stumbled
along as best I could.  Then she would say, "The vegetable store is
closed.  Where is the post office?"  Things like that.  Sometimes it was
hard to concentrate, but I was trying.  "Mr. Hayashi has two children."
:elines.
:font facename=default size=0x0.
:p.And here's sample.pig...
:font facename=Courier size=16x14.
:lines.
        Ctuallyaa, I aswa ittingsa noa yma edba nia yma partmentaa nia
Ulverca Ityca, atchingwa heta Akersla amega ithwa heta oundsa urnedta
ffoa, hilewa I riedta ota tudysa ocabularyva orfa yma ntroductoryia
Apaneseja lassca.
        Tia aswa a uietqa veningea; I adha ottenga yma aughterda ota
leepsa boutaa ightea.  Owna I adha heta assetteca layerpa noa heta edba,
ndaa heta heerfulca omanwa's oiceva aswa ayingsa hingsta ikela, "Elloha,
I maa a olicepa fficeroa. Anca I eba foa ssistanceaa?" ndaa "Leasepa
howsa ema heta enuma."  Fteraa achea entencesa, hesa ausedpa orfa ema
ota epeatra tia ackba, nia Apaneseja.  I tumbledsa longaa saa estba I
ouldca.  Henta hesa ouldwa aysa, "Heta egetableva toresa sia losedca.
Herewa sia heta ostpa fficeoa?"  Hingsta ikela hatta.  Ometimessa tia
aswa ardha ota oncentrateca, utba I aswa ryingta.  "Rma. Ayashiha asha
wota hildrenca."
:elines.
:font facename=default size=0x0.
.********************************************************************
.*
.*
.*
:h1.b1ff - Translate text into newbie computer user language
:p.
B1FF is a fictitious person who is "new" on the 'net.
:p.
You can recognize his posts by:
:ul compact.
:li.He always SHOUTS as he types.
:li.He sometimes spells FONET1KLEE (phonetically) the rest of the time, he
just misspells words or punctuates them incorrectly.
:li.He shortens some words (presumably for ease in typing)
:ul compact.
:li.like '4' for 'for' or 'four'
:li.like '2' for 'two' or 'to' or 'too'
:li.like '&amp.' for 'and'
:li.like 'U' for 'you' or 'ewe'
:li.like 'R' for 'are'
:li.like 'C' for 'sea' or 'see'
:eul.
:li.He can't see the difference between certain letters
:ul compact.
:li.like '1' and 'i'
:li.like '0' and 'o'
:li.like '5' and 's'
:li.like '2' and 'z'
:eul.
:li.His speech is peppered with profanity.
:li.He never uses only one '!' or '?' when '!!!!!!!!' or '????!!!!' will do.
:li.He never uses the apostrophe (') and always uses the double quote (")
instead.
:li.I have some vague memory of B1FF being mentioned in the New Hackers
dictionary, but I can't verify the validity of this.
:li.I can't even validate that his full name is NELSON 0TB1FF , but it sounds
correct.
:eul.
:p.
As an example, I took the first couple
paragraphs from Michael Crichton's excellent novel,
:hp5.Rising Sun:ehp5., and I ran it through the jive filter on the
command line by typing&colon.
:p.
b1ff < sample.txt > sample.bff
:p.
Here's sample.txt...
:font facename=Courier size=16x14.
:lines.
        Actually, I was sitting on my bed in my apartment in Culver
City, watching the Lakers game with the sound turned off, while I tried
to study vocabulary for my introductory Japanese class.
        It was a quiet evening; I had gotten my daughter to sleep about
eight.  Now I had the cassette player on the bed, and the cheerful
woman's voice was saying things like, "Hello, I am a police officer.
Can I be of assistance?" and "Please show me the menu."  After each
sentence, she paused for me to repeat it back, in Japanese.  I stumbled
along as best I could.  Then she would say, "The vegetable store is
closed.  Where is the post office?"  Things like that.  Sometimes it was
hard to concentrate, but I was trying.  "Mr. Hayashi has two children."
:elines.
:font facename=default size=0x0.
:p.And here's sample.bff...
:font facename=Courier size=16x14.
:lines.
        ACTUALLY, I WA5 SITT1NG 0N MY BED 1N MY APARTMENT IN CULVER
C1TY, WATCH1NG THE LAKER5 GAME W1TH THE 50UND TURNED 0FF, WHIEL I TRIED
2 5TUDY V0CABULARY 4 MY INTR0DUCTERY JAPANE5E CLAS5!!
        IT WA5 A QU1ET EVENING; I HAD G0TTEN MY DAUGHTER 2 SLEEP AB0UT
E1GHT!!  N0W I HAD THE CAS5ETT3 PLAYER 0N THE BED, &amp. THE CHEERFUL
BAB3"S V01CE WA5 SAY1NG THINGS L1K3, "HELL0, I AM A P0LICE 0FF1CER.
CAN 1 BE 0F ASSI5TANCE??!!" &amp. "PLEEZ SH0W M3 THE MENU."  AFTER EECH
SENTENCE, 5H3 PAUSED 4 ME 2 REPEET 1T BACK, IN JAPANE53!!  I STUMBLED
AL0NG AS BEST I CUD .  THEN SHE WUD  5AY, "TH3 VEGETABEL 5TORE 1S
CL0SED!!  WHERE 1S TH3 P0ST 0FF1CE??!!"  TH1NGS L1KE THAT.  S0MET1MES IT WA5
HARD 2 C0NCENTRATE, BUT 1 WA5 TRYING.  "D00D. HAYA5H1 HA5 TO  CH1LDREN!!"
:elines.
:font facename=default size=0x0.
.********************************************************************
.*
.*
.*
:h1.pun - Translate text into puns on certain words
:p.
Pun is a text filter.  It takes input from standard input on the
command line (by default, the keyboard), and writes its output to
standard output (by default, the screen).
:p.
Pun will take a normal document as input and translate it into a
document containing words exchanged for other, like, words (hence the
name pun).  As an example, I took the first couple
paragraphs from Michael Crichton's excellent novel,
:hp5.Rising Sun:ehp5., and I ran it through the pun filter on the
command line by typing&colon.
:p.
pun < sample.txt > sample.pun
:p.
Here's sample.txt...
:font facename=Courier size=16x14.
:lines.
        Actually, I was sitting on my bed in my apartment in Culver
City, watching the Lakers game with the sound turned off, while I tried
to study vocabulary for my introductory Japanese class.
        It was a quiet evening; I had gotten my daughter to sleep about
eight.  Now I had the cassette player on the bed, and the cheerful
woman's voice was saying things like, "Hello, I am a police officer.
Can I be of assistance?" and "Please show me the menu."  After each
sentence, she paused for me to repeat it back, in Japanese.  I stumbled
along as best I could.  Then she would say, "The vegetable store is
closed.  Where is the post office?"  Things like that.  Sometimes it was
hard to concentrate, but I was trying.  "Mr. Hayashi has two children."
:elines.
:font facename=default size=0x0.
:p.And here's sample.pig...
:font facename=Courier size=16x14.
:lines.
        Actually, I was sitting on my bed in my apartment in Culver
City, watching the Lakers game with the sound turned off, while I tried
to study vocabulary for my introductory Japanese class.
        It was a quiet evening; I had gotten my daughter to sleep about
eight.  Now I had the cassette player on the bed, ANT the cheerful
woman's voice was saying things like, "Hello, I am a police officer.
Can I be of assistance?" ANT "PEAS show me the menu."  After each
sentence, she paused for me to repeat it back, in Japanese.  I stumbled
aLOG as best I could.  Then she WOOD say, "The vegetable store is
closed.  Where is the post office?"  Things like that.  Sometimes it was
hard to concentrate, but I was trying.  "Mr. Hayashi has two children."
:elines.
:font facename=default size=0x0.
.********************************************************************
.*
.*
.*
:h1.kraut - Translate text into German-esque speech
:p.
Kraut is a text filter.  It takes input from standard input on the
command line (by default, the keyboard), and writes its output to
standard output (by default, the screen).
:p.
Kraut will take a normal document as input and translate it into a more
"german sounding" document.  As an example, I took the first couple
paragraphs from Michael Crichton's excellent novel,
:hp5.Rising Sun:ehp5., and I ran it through the kraut filter on the
command line by typing&colon.
:p.
kraut < sample.txt > sample.kr
:p.
Here's sample.txt...
:font facename=Courier size=16x14.
:lines.
        Actually, I was sitting on my bed in my apartment in Culver
City, watching the Lakers game with the sound turned off, while I tried
to study vocabulary for my introductory Japanese class.
        It was a quiet evening; I had gotten my daughter to sleep about
eight.  Now I had the cassette player on the bed, and the cheerful
woman's voice was saying things like, "Hello, I am a police officer.
Can I be of assistance?" and "Please show me the menu."  After each
sentence, she paused for me to repeat it back, in Japanese.  I stumbled
along as best I could.  Then she would say, "The vegetable store is
closed.  Where is the post office?"  Things like that.  Sometimes it was
hard to concentrate, but I was trying.  "Mr. Hayashi has two children."
:elines.
:font facename=default size=0x0.
:p.And here's sample.pig...
:font facename=Courier size=16x14.
:lines.
        Actually, I vas sittingkt on mein bed in mein apartment in Kulfer
City, vatchingkt ze Lakers game mitt de sound turned off, vhile I tried
to study focabulary for mein introductory Japanese klass.
        It vas a quiet efeningkt; I had gotten mein daughter to sleep about
eight.  Now I had ze cassette player on ze bed, undt de kheerful
woman's foice vas sayingkt dingkts like, "Hello, I am a police officer.
Can I be uff assistance?" undt "Please schow me ze menu."  After each
sentence, sche paused for me to r-r-repeat it back, in Japanese.  I stumbled
along as best I kould.  Den sche vould say, "Ze fegetable store is
closed.  Vhere ist de post office?"  Dingkts like dat.  Sometimes it vas
hard to koncentrate, but I vas tryingkt.  "Herr Hayaschi has two khildren."
:elines.
:font facename=default size=0x0.
.********************************************************************
.*
.*
.*
:h1.OS/2 Port Notes
:p.
:hp5.Changes&colon.:ehp5.
:ul compact.
:li.ltools requires OS/2 2.x.
:li.Makefile changed to compile all filters as default.
:li.IPF help file added in place of documentation.  (README, etc.)
:li.A small explanation of what the filters do is are included.
:li.GNU flex substituted for lex in all the programs.
:li.Several changes made to b1ff.l so it would compile/work under flex.
:eul.
:p.
This was compiled with emx-0.8f but it does not require EMX.DLL.
:p.
:hp3.NOTE:  Some of these filters may be construed as stereotyping a
particular race or culture.  These programs are provided for
entertainment ONLY.  They are not provided to insult any one person or
group.  If :ehp3.:hp1.you:ehp1.:hp3. use them for derogatory purposes, that's your
fault, not mine.:ehp3.
:p.
Since the full, unmodified source and documentation was not included, I
am obligated to tell you that you can get it from the archive site
:hp2.wuarchive.wustl.edu:ehp2. in the directory
:hp8./usenet/comp.sources.misc/&per.&per.&per.&per.&per.:ehp8.
:lines align=center.
Jeff M. Garzik - April 17, 1993
gtd543a@prism.gatech.edu (preferred until June 1997)
jgarzik@nyx.cs.du.edu
jeff.garzik@bbs.oit.unc.edu
:elines.
:euserdoc.

